Get stats
Posthttps://api.cdn77.com/v3/stats/{type}Request parameters
typestring in pathrequiredAvailable values:
bandwidth,costs,headers,headers-detail,hit-miss,hit-miss-detail,traffic,traffic-detail,traffic-miss
Request body≥1 required
cdn_idsarray of integersList of CDN Resource IDs. Use if you want statistics only for specific CDN Resources. More information in our CDN Resources API documentation.
location_idsarray of stringsList of Datacenters. Use if you want statistics only for specific Datacenters. Example values: "chicago", "los angeles"
aggregationstringAccepts values in minutes, hours, days or months in the following formatting: 5-m, 1-h, 1-d, 1-month (minutes must be divisible by five)
fromintegerrequiredUNIX Timestamp
tointegerrequiredUNIX Timestamp
Example of the request body
{
"cdn_ids": [
1234567890
],
"location_ids": [
"prague"
],
"aggregation": "7-d",
"from": 1625097600,
"to": 1625097600
}Responses
Sizes of cached and non-cached served content.
Response parameters
1599436800object
Example of the response
{
"1599436800": {
"sizeCached": 443741901,
"sizeNonCached": 1004.1212242332124
}
}